.de EX
.ift .ft 5
.nf
..
.de EE
.ft1
.fi
..
.TH TRA-AUX 1
.SH NAME
stdsplit, stdmerge, tradump, trascan \- auxiliary Tra programs
.SH SYNOPSIS
.B stdmerge
.I cmd
[
.I args
...
]
.B |
.B stdsplit
.PP
.B tradump
.I dbfile
.PP
.B trascan
.I replica
[
.I path
...
]
.SH DESCRIPTION
These are auxiliary tools meant to help in the use of
.IR tra (1).
.PP
.I Stdmerge
executes the named command, folding standard error
into standard output.
.I Stdsplit
performs the opposite transformation.
Thus,
.EX
	ssh -t -t stdmerge command | stdsplit
.EE
keeps the standard output and error 
of 
.B command
separate even though SSH has run it inside
a PTY, which necessarily merges the two.  This
seemingly odd contortion is useful for disabling
Nagle's algorithm on a TCP connection using SSH.
.PP
.I Tradump
writes a textual representation of the named
.I dbfile
to standard output.
It is mainly useful for debugging.
.PP
.I Trascan
connects to
.I replica
and has it scan its file system for changes.
